BRUTALBUILD=brutalv20b_mmc.pk3
IDKFA=IDKFAv2.wad

DEPENDANT=0

BUILDTARGET := psc_eris

PKG_PRETTY_NAME := BRUTAL DOOM (LZDOOM)
PKG_NAME := lzdoom-brutal
VERSION := 3.8.4
GIT_COMMIT := $(shell echo "`git rev-parse --short HEAD``git diff-index --quiet HEAD --`")
PKG_CREATOR := ID Software
MAINTAINER := ModMyClassic <contact@modmyclassic.com>
PLATFORM := SONYPSC
ARCHITECTURE := armhf
ifeq ($(DEPENDANT), 1)
	DEPENDS :=
endif

PKG_TARGET := $(PKG_NAME)_$(VERSION)_$(PLATFORM)-$(GIT_COMMIT)

all : $(PKG_TARGET).mod

$(PKG_TARGET).mod:
	cp ./lzdoom* ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/
	cp ./*.pk3 ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/
	mkdir -p ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/
	cp /usr/lib/arm-linux-gnueabihf/libmpg123.so ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/
	mv ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/libmpg123.so ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/libmpg123.so.0
	cp /usr/lib/arm-linux-gnueabihf/libsndfile.so.1 ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/
	cp /usr/lib/arm-linux-gnueabihf/libFLAC.so.8.3.0 ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/
	mv ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/libFLAC.so.8.3.0 ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/libFLAC.so.8
	cp /usr/lib/arm-linux-gnueabihf/libogg.so.0.8.2 ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/
	mv ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/libogg.so.0.8.2 ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/libogg.so.0
	cp /usr/lib/arm-linux-gnueabihf/libvorbis.so.0.4.8 ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/
	mv ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/libvorbis.so.0.4.8 ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/libvorbis.so.0
	cp /usr/lib/arm-linux-gnueabihf/libvorbisenc.so.2.0.11 ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/
	mv ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/libvorbisenc.so.2.0.11 ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/libvorbisenc.so.2
	cp /usr/lib/arm-linux-gnueabihf/libgme.so.0.6.0 ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/
	mv ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/libgme.so.0.6.0 ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/libgme.so.0
	cp /usr/arm-linux-gnueabihf/lib/libgomp.so.1.0.0 ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/
	mv ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/libgomp.so.1.0.0 ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/lib/libgomp.so.1
#	wget https://classicmodscloud.com/project_eris/.build_files/$(BRUTALBUILD)
#	mv $(BRUTALBUILD) ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/
	wget https://classicmodscloud.com/project_eris/.build_files/$(IDKFA)
	mv $(IDKFA) ./psc_eris_brutal/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/MODS/
	mkdir -p $(PKG_TARGET)/DEBIAN
	cp -rf psc_eris_brutal/* $(PKG_TARGET)/
	chmod +x $(PKG_TARGET)/media/project_eris/etc/project_eris/SUP/launchers/lzdoom_brutal/launch.sh
	printf "%s\n" \
		"Package: $(PKG_NAME)" \
		"Version: $(VERSION)" \
		"Architecture: $(ARCHITECTURE)" \
		"Depends: $(DEPENDS)" \
		"Maintainer: $(MAINTAINER)" \
		"Description: $(PKG_PRETTY_NAME)" > $(PKG_TARGET)/DEBIAN/control
	echo " Type: USB_MOD" >> $(PKG_TARGET)/DEBIAN/control
	cat mod_description_$(BUILDTARGET).txt >> $(PKG_TARGET)/DEBIAN/control
	echo " Author: $(PKG_CREATOR)" >> $(PKG_TARGET)/DEBIAN/control
	echo " Platform: $(PLATFORM) $(ARCHITECTURE)" >> $(PKG_TARGET)/DEBIAN/control
	echo " Git Commit: $(GIT_COMMIT)" >> $(PKG_TARGET)/DEBIAN/control
	echo " Built: $(shell date)" >> $(PKG_TARGET)/DEBIAN/control

	dpkg-deb -v --build $(PKG_TARGET)
	mv $(PKG_TARGET).deb $(PKG_TARGET).mod

	rm -r $(PKG_TARGET)/
	touch $(PKG_TARGET).mod

clean:
	-rm -rf $(PKG_TARGET)/ $(PKG_TARGET).mod

.PHONY: clean